# 成大醫院
module Ncku
    def Ncku.crawl
        hash = {}
        url = "http://www.hosp.ncku.edu.tw/nckm/ER/default.aspx"
        begin
            html = open(url).read
            html.encode!("big5")
            page = Nokogiri::HTML.parse html
            hash[:hospital] = "ncku"
            hash[:to_119]        = page.css("#lbBulletin").text.strip
            hash[:wait_see]      = page.css("#lbSee").text.strip
            hash[:wait_push_bed] = page.css("#lbBed").text.strip
            hash[:wait_bed]      = page.css("#lbIn").text.strip
            hash[:wait_cure_bed] = page.css("#lbICU").text.strip
        rescue Exception => e
            p e.message
            return nil
        end
        return hash
    end
end