# require "tw_hospital/version"
require 'nokogiri'
require 'open-uri'
require 'json'
require 'time'
require 'module/pohai'
require 'module/cgmh_kl'
require 'module/cgh'
require 'module/mmh'
require 'module/wanfang'
require 'module/ndmctsgh'
require 'module/vghtpe'
require 'module/ntuh_taipei'
require 'module/skh'
require 'module/shh'
require 'module/tzuchi'
require 'module/cgmh_lingko'
require 'module/csh'
require 'module/vghtc'
require 'module/cmuh'
require 'module/sltung'
require 'module/ktgh_shalu'
require 'module/ktgh_dajia'
require 'module/cch'
require 'module/scmh'
require 'module/cgmh_chayi'
require 'module/ntuh_yunlin'
require 'module/chimei'
require 'module/chimei_cl'
require 'module/chimei_ly'
require 'module/ncku'
require 'module/kmuh'
require 'module/edah'
require 'module/cgmh_ks'
require 'module/tzuchi_hl'

module TwHospital
    def TwHospital.fetch_all
        json = []
        json << Pohai.crawl
        json << Cgmh_kl.crawl
        json << Cgh.crawl
        json << Wanfang.crawl
        json << Ndmctsgh.crawl
        json << Vghtpe.crawl
        json << Ntuh_taipei.crawl
        json << Skh.crawl
        json << Shh.crawl
        json << Tzuchi.crawl
        json << Cgmh_lingko.crawl
        json << Csh.crawl
        json << Vghtc.crawl
        json << Cmuh.crawl
        json << Sltung.crawl
        json << Ktgh_shalu.crawl
        json << Ktgh_dajia.crawl
        json << Cch.crawl
        json << Cgmh_chayi.crawl
        json << Ntuh_yunlin.crawl
        json << Chimei.crawl
        json << Chimei_cl.crawl
        json << Chimei_ly.crawl
        json << Ncku.crawl
        json << Kmuh.crawl
        json << Edah.crawl
        json << Cgmh_ks.crawl
        json << Tzuchi_hl.crawl
        return json
    end

    def TwHospital.schedule_fetch_all

    end
end